Subject: Rate Halving

From: Jeffrey Semke <[email-masked]>
Date: Thu, 28 Oct 1999 17:31:50 -0400

One of the items on the agenda for the TSVWG meeting at the next IETF is Rate
Halving congestion control (draft-mathis-tcp-ratehalving-00.txt).

I would just like to remind everyone that there is a Rate Halving web page at 
http://www.psc.edu/networking/rate-halving/.

Items available from this page are an ns2 simulator module for Rate Halving, a
NetBSD 1.3.2 implementation, a short presentation briefly describing the
algorithm, and some preliminary simulator results, in addition to the draft.

Rate Halving is based on the following ideas:

*Separate congestion handling from packet xmit
*Treat all congestion signals identically (SACK, Duplicate ACKs, ECN)
*On congestion, send one packet per two ACKs for one RTT (based on ideas from
Janey Hoe)
*Virtually eliminate unnecessary timeouts (Only needed when cwnd falls below 1
packet)
*Algorithm general enough to apply beyond TCP

Please check out the draft and post comments to the list.

---

From: Mark Allman <[email-masked]>
Date: Fri, 29 Oct 1999 12:19:30 -0400

Just a quick note about the rate-halving document that might help
frame the question.  When we wrote RFC 2581 we inserted a section on
advanced loss recovery techniques (i.e., something more than fast
retransmit/recovery).  In particular we included this bit of text:

   While this document does not standardize any of the specific
   algorithms that may improve fast retransmit/fast recovery, these
   enhanced algorithms are implicitly allowed, as long as they follow
   the general principles of the basic four algorithms outlined above.

The document goes on to include some specifics about a few of the
key principles that any new algorithms should follow.  So, really
the question of publishing a document such as the rate-halving
spec. comes down to two questions, it seems to me:

1.  Does the algorithm follow the spirit and principles outlined in
    RFC 2581?

2.  Does the document provide a clear and complete specification of
    the algorithm?

In other words, I don't think we all need to agree that this is a
wonderful loss recovery/congestion control technique to make the
document an experimental RFC.  Rate-halving can then be evaluated
further in the research community and we can argue if/when it ever
goes up for proposed standard.

Note that I have not talked with the chairs about the above notions,
but I wanted to sketch the thoughts I had when putting together RFC
2581.  If the chairs see things differently I would like to ask them
to sketch the question before the WG and will be happy to yield to
their wisdom.

allman

---

From: Vern Paxson <[email-masked]>
Date: Fri, 29 Oct 1999 14:26:37 PDT

> to sketch the question before the WG and will be happy to yield to

Wearing my co-chair hat, yes, that's how I see it - thanks.

		Vern